SDL_SetJoystickVirtualTouchpad(3)

NAME
SDL_SetJoystickVirtualTouchpad - Set touchpad finger state on an opened virtual joystick.

SYNOPSIS
#include <SDL3/SDL_joystick.h>

bool SDL_SetJoystickVirtualTouchpad(SDL_Joystick *joystick, int touchpad, int finger, bool down, float x, float y, float pressure);

DESCRIPTION
Please note that values set here will not be applied until the next call to SDL_UpdateJoysticks, which can either be called directly, or can be called indirectly through various other SDL APIs, including, but not limited to the following: SDL_PollEvent, SDL_PumpEvents, SDL_WaitEventTimeout, SDL_WaitEvent.

FUNCTION PARAMETERS

joystick
    the virtual joystick on which to set state.

touchpad
    the index of the touchpad on the virtual joystick to update.

finger
    the index of the finger on the touchpad to set.

down
    true if the finger is pressed, false if the finger is released.

x   the x coordinate of the finger on the touchpad, normalized 0 to 1, with the origin in the upper left.

y   the y coordinate of the finger on the touchpad, normalized 0 to 1, with the origin in the upper left.

pressure
    the pressure of the finger.

RETURN VALUE
for more information.

AVAILABILITY
This function is available since SDL 3.2.0.